export type Person = {
    id: number
    firstName: string
    lastName: string
    email: string
    gender: string
}

export type PersonWithSubRow = {
    firstName: string
    lastName: string
    age: number
    visits: number
    progress: number
    status: string
    subRows?: PersonWithSubRow[]
}

export const data100: Person[] = [
    {
        id: 1,
        firstName: 'Alastair',
        lastName: 'Dilkes',
        email: 'adilkes0@jigsy.com',
        gender: 'Female',
    },
    {
        id: 2,
        firstName: 'Matthaeus',
        lastName: 'Graber',
        email: 'mgraber1@adobe.com',
        gender: 'Genderqueer',
    },
    {
        id: 3,
        firstName: 'Gayel',
        lastName: 'Croxley',
        email: 'gcroxley2@businessinsider.com',
        gender: 'Male',
    },
    {
        id: 4,
        firstName: 'Gracia',
        lastName: 'Domegan',
        email: 'gdomegan3@reference.com',
        gender: 'Genderfluid',
    },
    {
        id: 5,
        firstName: 'Galvan',
        lastName: 'Beringer',
        email: 'gberinger4@yellowpages.com',
        gender: 'Agender',
    },
    {
        id: 6,
        firstName: 'Maud',
        lastName: 'Aicheson',
        email: 'maicheson5@ycombinator.com',
        gender: 'Male',
    },
    {
        id: 7,
        firstName: 'Gwenette',
        lastName: 'Dailey',
        email: 'gdailey6@state.tx.us',
        gender: 'Genderfluid',
    },
    {
        id: 8,
        firstName: 'Marius',
        lastName: 'Leman',
        email: 'mleman7@cnn.com',
        gender: 'Genderfluid',
    },
    {
        id: 9,
        firstName: 'Natka',
        lastName: 'Varcoe',
        email: 'nvarcoe8@hhs.gov',
        gender: 'Male',
    },
    {
        id: 10,
        firstName: 'Kellie',
        lastName: 'Ackerley',
        email: 'kackerley9@posterous.com',
        gender: 'Genderfluid',
    },
    {
        id: 11,
        firstName: 'Kimbell',
        lastName: 'Shilling',
        email: 'kshillinga@ibm.com',
        gender: 'Agender',
    },
    {
        id: 12,
        firstName: 'Tammy',
        lastName: 'Mattinson',
        email: 'tmattinsonb@g.co',
        gender: 'Bigender',
    },
    {
        id: 13,
        firstName: 'Antony',
        lastName: 'Bodemeaid',
        email: 'abodemeaidc@google.com',
        gender: 'Genderqueer',
    },
    {
        id: 14,
        firstName: 'Cordey',
        lastName: 'Brockway',
        email: 'cbrockwayd@ucoz.ru',
        gender: 'Male',
    },
    {
        id: 15,
        firstName: 'Ammamaria',
        lastName: 'Jaqueme',
        email: 'ajaquemee@google.fr',
        gender: 'Polygender',
    },
    {
        id: 16,
        firstName: 'Urbano',
        lastName: 'Potter',
        email: 'upotterf@symantec.com',
        gender: 'Agender',
    },
    {
        id: 17,
        firstName: 'Omar',
        lastName: 'Simyson',
        email: 'osimysong@de.vu',
        gender: 'Non-binary',
    },
    {
        id: 18,
        firstName: 'Olva',
        lastName: 'Shoubridge',
        email: 'oshoubridgeh@senate.gov',
        gender: 'Genderfluid',
    },
    {
        id: 19,
        firstName: 'Dominic',
        lastName: 'Nibloe',
        email: 'dnibloei@php.net',
        gender: 'Bigender',
    },
    {
        id: 20,
        firstName: 'Caryn',
        lastName: 'Kermott',
        email: 'ckermottj@trellian.com',
        gender: 'Agender',
    },
    {
        id: 21,
        firstName: 'Amberly',
        lastName: 'Parham',
        email: 'aparhamk@webnode.com',
        gender: 'Genderfluid',
    },
    {
        id: 22,
        firstName: 'Odell',
        lastName: 'Willman',
        email: 'owillmanl@instagram.com',
        gender: 'Agender',
    },
    {
        id: 23,
        firstName: 'Ahmad',
        lastName: 'Shuttell',
        email: 'ashuttellm@studiopress.com',
        gender: 'Agender',
    },
    {
        id: 24,
        firstName: 'Wynnie',
        lastName: 'Welberry',
        email: 'wwelberryn@ovh.net',
        gender: 'Bigender',
    },
    {
        id: 25,
        firstName: 'Matt',
        lastName: 'McFee',
        email: 'mmcfeeo@msn.com',
        gender: 'Male',
    },
    {
        id: 26,
        firstName: 'Cristi',
        lastName: 'Ollander',
        email: 'collanderp@wikia.com',
        gender: 'Genderqueer',
    },
    {
        id: 27,
        firstName: 'Sapphira',
        lastName: 'Allot',
        email: 'sallotq@kickstarter.com',
        gender: 'Polygender',
    },
    {
        id: 28,
        firstName: 'Karalynn',
        lastName: 'Skellorne',
        email: 'kskellorner@nasa.gov',
        gender: 'Male',
    },
    {
        id: 29,
        firstName: 'Meyer',
        lastName: 'Callister',
        email: 'mcallisters@shinystat.com',
        gender: 'Genderfluid',
    },
    {
        id: 30,
        firstName: 'Berthe',
        lastName: 'Horsfield',
        email: 'bhorsfieldt@tumblr.com',
        gender: 'Bigender',
    },
    {
        id: 31,
        firstName: 'Gratiana',
        lastName: 'Southouse',
        email: 'gsouthouseu@w3.org',
        gender: 'Agender',
    },
    {
        id: 32,
        firstName: 'Harley',
        lastName: 'Fleckno',
        email: 'hflecknov@opensource.org',
        gender: 'Genderqueer',
    },
    {
        id: 33,
        firstName: 'Elsie',
        lastName: 'Medendorp',
        email: 'emedendorpw@google.pl',
        gender: 'Genderqueer',
    },
    {
        id: 34,
        firstName: 'Mychal',
        lastName: 'Redhouse',
        email: 'mredhousex@comcast.net',
        gender: 'Polygender',
    },
    {
        id: 35,
        firstName: 'Gertrud',
        lastName: 'French',
        email: 'gfrenchy@netscape.com',
        gender: 'Genderfluid',
    },
    {
        id: 36,
        firstName: 'Corrie',
        lastName: 'Wallace',
        email: 'cwallacez@i2i.jp',
        gender: 'Genderqueer',
    },
    {
        id: 37,
        firstName: 'Frants',
        lastName: 'Pinnocke',
        email: 'fpinnocke10@disqus.com',
        gender: 'Male',
    },
    {
        id: 38,
        firstName: 'Ardath',
        lastName: 'Dungay',
        email: 'adungay11@naver.com',
        gender: 'Non-binary',
    },
    {
        id: 39,
        firstName: 'Cullan',
        lastName: 'MacCartney',
        email: 'cmaccartney12@hhs.gov',
        gender: 'Genderqueer',
    },
    {
        id: 40,
        firstName: 'Lissie',
        lastName: 'Dillaway',
        email: 'ldillaway13@dell.com',
        gender: 'Polygender',
    },
    {
        id: 41,
        firstName: 'Roslyn',
        lastName: 'Joburn',
        email: 'rjoburn14@toplist.cz',
        gender: 'Genderqueer',
    },
    {
        id: 42,
        firstName: 'Raeann',
        lastName: 'Ligertwood',
        email: 'rligertwood15@yahoo.co.jp',
        gender: 'Non-binary',
    },
    {
        id: 43,
        firstName: 'Dot',
        lastName: 'Barling',
        email: 'dbarling16@usgs.gov',
        gender: 'Genderfluid',
    },
    {
        id: 44,
        firstName: 'Thaxter',
        lastName: 'Kinleyside',
        email: 'tkinleyside17@istockphoto.com',
        gender: 'Agender',
    },
    {
        id: 45,
        firstName: 'Anya',
        lastName: 'Perri',
        email: 'aperri18@fastcompany.com',
        gender: 'Male',
    },
    {
        id: 46,
        firstName: 'Hayyim',
        lastName: 'Houndson',
        email: 'hhoundson19@wsj.com',
        gender: 'Bigender',
    },
    {
        id: 47,
        firstName: 'Kristos',
        lastName: 'Braun',
        email: 'kbraun1a@who.int',
        gender: 'Polygender',
    },
    {
        id: 48,
        firstName: 'Joseito',
        lastName: 'Chaise',
        email: 'jchaise1b@cbc.ca',
        gender: 'Polygender',
    },
    {
        id: 49,
        firstName: 'Teriann',
        lastName: 'Bassingham',
        email: 'tbassingham1c@oracle.com',
        gender: 'Polygender',
    },
    {
        id: 50,
        firstName: 'Quinta',
        lastName: 'Sahlstrom',
        email: 'qsahlstrom1d@msu.edu',
        gender: 'Bigender',
    },
    {
        id: 51,
        firstName: 'Philip',
        lastName: 'MacGaughy',
        email: 'pmacgaughy1e@usa.gov',
        gender: 'Agender',
    },
    {
        id: 52,
        firstName: 'Leonhard',
        lastName: 'Clawe',
        email: 'lclawe1f@sfgate.com',
        gender: 'Non-binary',
    },
    {
        id: 53,
        firstName: 'Gilles',
        lastName: 'Rylett',
        email: 'grylett1g@blogger.com',
        gender: 'Female',
    },
    {
        id: 54,
        firstName: 'Romain',
        lastName: 'McCutheon',
        email: 'rmccutheon1h@miitbeian.gov.cn',
        gender: 'Polygender',
    },
    {
        id: 55,
        firstName: 'Kimberly',
        lastName: 'Ripsher',
        email: 'kripsher1i@quantcast.com',
        gender: 'Agender',
    },
    {
        id: 56,
        firstName: 'Alexia',
        lastName: 'Reder',
        email: 'areder1j@wordpress.com',
        gender: 'Non-binary',
    },
    {
        id: 57,
        firstName: 'Ally',
        lastName: 'Mossbee',
        email: 'amossbee1k@umn.edu',
        gender: 'Bigender',
    },
    {
        id: 58,
        firstName: 'Maxi',
        lastName: 'Alliston',
        email: 'malliston1l@blogs.com',
        gender: 'Agender',
    },
    {
        id: 59,
        firstName: 'Trenna',
        lastName: 'Habbal',
        email: 'thabbal1m@umn.edu',
        gender: 'Bigender',
    },
    {
        id: 60,
        firstName: 'Nicky',
        lastName: 'Dowsing',
        email: 'ndowsing1n@mtv.com',
        gender: 'Bigender',
    },
    {
        id: 61,
        firstName: 'Emily',
        lastName: 'Scrogges',
        email: 'escrogges1o@goodreads.com',
        gender: 'Genderqueer',
    },
    {
        id: 62,
        firstName: 'Veradis',
        lastName: 'Foxhall',
        email: 'vfoxhall1p@de.vu',
        gender: 'Genderqueer',
    },
    {
        id: 63,
        firstName: 'Cal',
        lastName: 'Pirrey',
        email: 'cpirrey1q@chronoengine.com',
        gender: 'Agender',
    },
    {
        id: 64,
        firstName: 'Micky',
        lastName: 'Urridge',
        email: 'murridge1r@creativecommons.org',
        gender: 'Bigender',
    },
    {
        id: 65,
        firstName: 'Larry',
        lastName: 'Henze',
        email: 'lhenze1s@cdc.gov',
        gender: 'Female',
    },
    {
        id: 66,
        firstName: 'Alia',
        lastName: 'Baudon',
        email: 'abaudon1t@telegraph.co.uk',
        gender: 'Non-binary',
    },
    {
        id: 67,
        firstName: 'Christiano',
        lastName: 'Hardy-Piggin',
        email: 'chardypiggin1u@google.it',
        gender: 'Genderqueer',
    },
    {
        id: 68,
        firstName: 'Tann',
        lastName: 'Iorizzi',
        email: 'tiorizzi1v@yahoo.com',
        gender: 'Non-binary',
    },
    {
        id: 69,
        firstName: 'Oralia',
        lastName: 'Saipy',
        email: 'osaipy1w@delicious.com',
        gender: 'Bigender',
    },
    {
        id: 70,
        firstName: 'Karyl',
        lastName: 'Kynge',
        email: 'kkynge1x@state.gov',
        gender: 'Agender',
    },
    {
        id: 71,
        firstName: 'Franciskus',
        lastName: 'MacCumeskey',
        email: 'fmaccumeskey1y@about.me',
        gender: 'Non-binary',
    },
    {
        id: 72,
        firstName: 'Pansy',
        lastName: 'Thebes',
        email: 'pthebes1z@cdc.gov',
        gender: 'Genderqueer',
    },
    {
        id: 73,
        firstName: 'Ab',
        lastName: 'Pogson',
        email: 'apogson20@flavors.me',
        gender: 'Genderfluid',
    },
    {
        id: 74,
        firstName: 'Mollee',
        lastName: 'McFeate',
        email: 'mmcfeate21@yahoo.co.jp',
        gender: 'Polygender',
    },
    {
        id: 75,
        firstName: 'Fleming',
        lastName: 'Karmel',
        email: 'fkarmel22@sphinn.com',
        gender: 'Male',
    },
    {
        id: 76,
        firstName: 'Gerek',
        lastName: 'Shivlin',
        email: 'gshivlin23@ox.ac.uk',
        gender: 'Bigender',
    },
    {
        id: 77,
        firstName: 'Anabel',
        lastName: 'Ditch',
        email: 'aditch24@examiner.com',
        gender: 'Polygender',
    },
    {
        id: 78,
        firstName: 'Mohammed',
        lastName: 'De Gouy',
        email: 'mdegouy25@aol.com',
        gender: 'Genderfluid',
    },
    {
        id: 79,
        firstName: 'Bogart',
        lastName: 'Bertin',
        email: 'bbertin26@salon.com',
        gender: 'Polygender',
    },
    {
        id: 80,
        firstName: 'Kristin',
        lastName: 'Oliveras',
        email: 'koliveras27@topsy.com',
        gender: 'Genderfluid',
    },
    {
        id: 81,
        firstName: 'Genevra',
        lastName: 'Crosskell',
        email: 'gcrosskell28@goo.ne.jp',
        gender: 'Female',
    },
    {
        id: 82,
        firstName: 'Georgianne',
        lastName: 'Bosanko',
        email: 'gbosanko29@state.tx.us',
        gender: 'Genderqueer',
    },
    {
        id: 83,
        firstName: 'Michel',
        lastName: 'Watters',
        email: 'mwatters2a@state.gov',
        gender: 'Genderfluid',
    },
    {
        id: 84,
        firstName: 'Waylen',
        lastName: 'Summerlee',
        email: 'wsummerlee2b@ed.gov',
        gender: 'Male',
    },
    {
        id: 85,
        firstName: 'Dix',
        lastName: 'Dikes',
        email: 'ddikes2c@drupal.org',
        gender: 'Male',
    },
    {
        id: 86,
        firstName: 'Cymbre',
        lastName: 'Dinwoodie',
        email: 'cdinwoodie2d@gizmodo.com',
        gender: 'Agender',
    },
    {
        id: 87,
        firstName: 'Milo',
        lastName: 'Keeley',
        email: 'mkeeley2e@imdb.com',
        gender: 'Genderqueer',
    },
    {
        id: 88,
        firstName: 'Harman',
        lastName: 'Ahmad',
        email: 'hahmad2f@123-reg.co.uk',
        gender: 'Genderfluid',
    },
    {
        id: 89,
        firstName: 'Ronalda',
        lastName: 'Cush',
        email: 'rcush2g@blogtalkradio.com',
        gender: 'Polygender',
    },
    {
        id: 90,
        firstName: 'Annabell',
        lastName: 'Plessing',
        email: 'aplessing2h@shinystat.com',
        gender: 'Agender',
    },
    {
        id: 91,
        firstName: 'Melisse',
        lastName: 'Dalzell',
        email: 'mdalzell2i@vk.com',
        gender: 'Genderqueer',
    },
    {
        id: 92,
        firstName: 'Morley',
        lastName: 'Cregg',
        email: 'mcregg2j@google.com',
        gender: 'Polygender',
    },
    {
        id: 93,
        firstName: 'Piggy',
        lastName: 'Ormerod',
        email: 'pormerod2k@latimes.com',
        gender: 'Genderfluid',
    },
    {
        id: 94,
        firstName: 'Teresa',
        lastName: 'Infante',
        email: 'tinfante2l@php.net',
        gender: 'Female',
    },
    {
        id: 95,
        firstName: 'Karlene',
        lastName: 'Tackes',
        email: 'ktackes2m@mapquest.com',
        gender: 'Male',
    },
    {
        id: 96,
        firstName: 'Tobe',
        lastName: 'Dethloff',
        email: 'tdethloff2n@tamu.edu',
        gender: 'Non-binary',
    },
    {
        id: 97,
        firstName: 'Vally',
        lastName: 'Joddins',
        email: 'vjoddins2o@devhub.com',
        gender: 'Female',
    },
    {
        id: 98,
        firstName: 'Ferdinanda',
        lastName: 'Oty',
        email: 'foty2p@shutterfly.com',
        gender: 'Female',
    },
    {
        id: 99,
        firstName: 'Amory',
        lastName: 'Asplen',
        email: 'aasplen2q@va.gov',
        gender: 'Non-binary',
    },
    {
        id: 100,
        firstName: 'Seamus',
        lastName: 'Swallwell',
        email: 'sswallwell2r@mapy.cz',
        gender: 'Non-binary',
    },
]

export const data10: Person[] = [
    {
        id: 1,
        firstName: 'Alastair',
        lastName: 'Dilkes',
        email: 'adilkes0@jigsy.com',
        gender: 'Female',
    },
    {
        id: 2,
        firstName: 'Matthaeus',
        lastName: 'Graber',
        email: 'mgraber1@adobe.com',
        gender: 'Genderqueer',
    },
    {
        id: 3,
        firstName: 'Gayel',
        lastName: 'Croxley',
        email: 'gcroxley2@businessinsider.com',
        gender: 'Male',
    },
    {
        id: 4,
        firstName: 'Gracia',
        lastName: 'Domegan',
        email: 'gdomegan3@reference.com',
        gender: 'Genderfluid',
    },
    {
        id: 5,
        firstName: 'Galvan',
        lastName: 'Beringer',
        email: 'gberinger4@yellowpages.com',
        gender: 'Agender',
    },
    {
        id: 6,
        firstName: 'Maud',
        lastName: 'Aicheson',
        email: 'maicheson5@ycombinator.com',
        gender: 'Male',
    },
    {
        id: 7,
        firstName: 'Gwenette',
        lastName: 'Dailey',
        email: 'gdailey6@state.tx.us',
        gender: 'Genderfluid',
    },
    {
        id: 8,
        firstName: 'Marius',
        lastName: 'Leman',
        email: 'mleman7@cnn.com',
        gender: 'Genderfluid',
    },
    {
        id: 9,
        firstName: 'Natka',
        lastName: 'Varcoe',
        email: 'nvarcoe8@hhs.gov',
        gender: 'Male',
    },
    {
        id: 10,
        firstName: 'Kellie',
        lastName: 'Ackerley',
        email: 'kackerley9@posterous.com',
        gender: 'Genderfluid',
    },
]

export const dataWithSubRows: PersonWithSubRow[] = [
    {
        firstName: 'Maria',
        lastName: 'Anders',
        age: 24,
        visits: 28,
        progress: 56,
        status: 'complicated',
        subRows: [
            {
                firstName: 'newspaper',
                lastName: 'dinner',
                age: 25,
                visits: 2,
                progress: 78,
                status: 'single',
                subRows: undefined,
            },
            {
                firstName: 'whip',
                lastName: 'marriage',
                age: 3,
                visits: 95,
                progress: 65,
                status: 'single',
                subRows: undefined,
            },
            {
                firstName: 'bee',
                lastName: 'invention',
                age: 7,
                visits: 83,
                progress: 68,
                status: 'complicated',
                subRows: undefined,
            },
        ],
    },
    {
        firstName: 'Francisco',
        lastName: 'Chang',
        age: 9,
        visits: 90,
        progress: 77,
        status: 'single',
        subRows: [
            {
                firstName: 'beds',
                lastName: 'fairies',
                age: 16,
                visits: 82,
                progress: 87,
                status: 'single',
                subRows: undefined,
            },
            {
                firstName: 'cloth',
                lastName: 'control',
                age: 11,
                visits: 8,
                progress: 75,
                status: 'single',
                subRows: undefined,
            },
        ],
    },
    {
        firstName: 'Roland',
        lastName: 'Mendel',
        age: 1,
        visits: 16,
        progress: 56,
        status: 'single',
        subRows: [
            {
                firstName: 'newspaper',
                lastName: 'dinner',
                age: 25,
                visits: 2,
                progress: 78,
                status: 'single',
                subRows: undefined,
            },
            {
                firstName: 'whip',
                lastName: 'marriage',
                age: 3,
                visits: 95,
                progress: 65,
                status: 'single',
                subRows: undefined,
            },
            {
                firstName: 'bee',
                lastName: 'invention',
                age: 7,
                visits: 83,
                progress: 68,
                status: 'complicated',
                subRows: undefined,
            },
            {
                firstName: 'stage',
                lastName: 'cherries',
                age: 14,
                visits: 94,
                progress: 53,
                status: 'relationship',
                subRows: undefined,
            },
        ],
    },
    {
        firstName: 'Helen',
        lastName: 'Bennett',
        age: 43,
        visits: 94,
        progress: 53,
        status: 'single',
        subRows: [
            {
                firstName: 'scarf',
                lastName: 'requirement',
                age: 23,
                visits: 93,
                progress: 40,
                status: 'relationship',
                subRows: undefined,
            },
        ],
    },
    {
        firstName: 'Yoshi ',
        lastName: 'Tannamuri',
        age: 37,
        visits: 85,
        progress: 28,
        status: 'single',
        subRows: [
            {
                firstName: 'tray',
                lastName: 'chemistry',
                age: 29,
                visits: 55,
                progress: 87,
                status: 'relationship',
                subRows: undefined,
            },
            {
                firstName: 'fiction',
                lastName: 'grade',
                age: 27,
                visits: 98,
                progress: 15,
                status: 'complicated',
                subRows: undefined,
            },
        ],
    },
]
